﻿using SteamFluentAPI.Infrastructure.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SteamFluentAPI.Infrastructure
{
    public class DOTA2 : SteamInterface
    {
        /// <summary>
        /// Dota 2 item rarity list.
        /// </summary>
        [SteamMethod("v1")]
        public GetRarities GetRarities { get { return new GetRarities(); } }

        /// <summary>
        /// A list of heroes within Dota 2.
        /// </summary>
        [SteamMethod("v1")]
        public GetHeroes GetHeroes { get { return new GetHeroes(); } }
        
        /// <summary>
        /// (TODO)
        /// </summary>
        [NotImplemented]
        [SteamMethod]
        public GetTicketSaleStatus GetTicketSaleStatus { get { return new GetTicketSaleStatus(); } }
    }

    public class GetRarities : SteamMethod
    {

    }

    public class GetHeroes : SteamMethod
    {
        /// <summary>
        /// Return a list of itemized heroes only. (OPTIONAL)
        /// </summary>
        /// <param name="itemizedonly"></param>
        public void ItemizedOnly(bool itemizedonly)
        {
            Add("itemizedonly", itemizedonly);
        }
    }

    public class GetTicketSaleStatus : SteamMethod
    {

    }
}
