﻿using SteamFluentAPI.Infrastructure.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SteamFluentAPI.Infrastructure
{
    public class EconItems : SteamInterface
    {
        /// <summary>
        /// Lists items in a player's backpack.
        /// </summary>
        [SteamMethod("v0001")]
        public GetPlayerItems GetPlayerItems { get { return new GetPlayerItems(); } }
        /// <summary>
        /// Information about the items in a supporting game.
        /// </summary>
        [SteamMethod("v0001")]
        public GetSchema GetSchema { get { return new GetSchema(); } }
        /// <summary>
        /// Returns a URL for the games' item_game.txt file.
        /// </summary>
        [SteamMethod("v1")]
        public GetSchemaURL GetSchemaURL { get { return new GetSchemaURL(); } }
        /// <summary>
        /// Information about the game's store.
        /// </summary>
        [SteamMethod("v1")]
        public GetStoreMetadata GetStoreMetadata { get { return new GetStoreMetadata(); } }
        /// <summary>
        /// The game's store status. (TODO)
        /// </summary>
        [NotImplemented]
        public GetStoreStatus GetStoreStatus { get { return new GetStoreStatus(); } }
    }

    public class GetPlayerItems : SteamIDMethod
    {

    }

    public class GetSchema : SteamMethod
    {

    }

    public class GetSchemaURL : SteamMethod
    {

    }

    public class GetStoreMetadata : SteamMethod
    {

    }

    public class GetStoreStatus : SteamMethod
    {

    }
}
