﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SteamFluentAPI.Infrastructure.Base;

namespace SteamFluentAPI.Infrastructure
{
    public class SteamNews : SteamInterface
    {
        [SteamMethod("v0002")]
        public GetNewsForApp GetNewsForApp { get { return new GetNewsForApp(); } }
    }

    public class GetNewsForApp : SteamAppMethod
    {
        /// <summary>
        /// The max length of the contents field. (OPTIONAL)
        /// </summary>
        /// <param name="maxlength"></param>
        public void MaxLength(int maxlength)
        {
            Add("maxlength", maxlength);
        }

        /// <summary>
        /// Unix timestamp, returns posts before this date. (OPTIONAL)
        /// </summary>
        /// <param name="unixTimeStamp"></param>
        public void EndDate(int unixTimeStamp)
        {
            Add("enddate", unixTimeStamp);
        }

        /// <summary>
        /// The max number of news items to retrieve. Default: 20.
        /// </summary>
        /// <param name="count"></param>
        public void Count(int count)
        {
            Add("count", count);
        }

        /// <summary>
        /// Commma-seperated list of feed names to return news for. (OPTIONAL)
        /// </summary>
        /// <param name="feeds"></param>
        public void Feeds(string feeds)
        {
            Add("feeds", feeds);
        }
    }
}
